curl --request POST \
--url https://api.luminpdf.com/v1/signature_request/remind/{signature_request_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"emails": [
"[email protected]",
"[email protected]"
]
}
'{
"signature_request": {
"signature_request_id": "696d007913f3b8...",
"title": "Signature request",
"created_at": 1768751225657,
"expires_at": 1927510980694,
"status": "WAITING_FOR_OTHERS",
"signers": [
{
"name": "John Doe",
"email_address": "[email protected]",
"status": "WAITING_FOR_OTHERS",
"is_approved": true,
"group": 1
},
{
"name": "Jane Doe",
"email_address": "[email protected]",
"status": "NEED_TO_SIGN",
"is_approved": false,
"group": 2
}
],
"updated_at": 1768751357064,
"details_url": "https://sign.luminpdf.com/auth?mode=view-contract&token=8647b08b...",
"signing_type": "ORDER"
},
"reminders": [
{
"email": "[email protected]",
"signer_status": "WAITING_FOR_OTHERS",
"email_status": "BOUNCE"
},
{
"email": "[email protected]",
"signer_status": "NEED_TO_SIGN",
"email_status": "SENT"
}
]
}Send Reminder Emails
Send reminder emails to selected signers whose status is NEED_TO_SIGN.
curl --request POST \
--url https://api.luminpdf.com/v1/signature_request/remind/{signature_request_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"emails": [
"[email protected]",
"[email protected]"
]
}
'{
"signature_request": {
"signature_request_id": "696d007913f3b8...",
"title": "Signature request",
"created_at": 1768751225657,
"expires_at": 1927510980694,
"status": "WAITING_FOR_OTHERS",
"signers": [
{
"name": "John Doe",
"email_address": "[email protected]",
"status": "WAITING_FOR_OTHERS",
"is_approved": true,
"group": 1
},
{
"name": "Jane Doe",
"email_address": "[email protected]",
"status": "NEED_TO_SIGN",
"is_approved": false,
"group": 2
}
],
"updated_at": 1768751357064,
"details_url": "https://sign.luminpdf.com/auth?mode=view-contract&token=8647b08b...",
"signing_type": "ORDER"
},
"reminders": [
{
"email": "[email protected]",
"signer_status": "WAITING_FOR_OTHERS",
"email_status": "BOUNCE"
},
{
"email": "[email protected]",
"signer_status": "NEED_TO_SIGN",
"email_status": "SENT"
}
]
}Required scopes (OAuth 2.0)
Required scopes (OAuth 2.0)
sign:requestsAuthorizations
Provide your API key in the X-API-Key header, e.g., X-API-Key: YOUR_API_KEY.
Path Parameters
ID of the signature request
Body
List of emails to send reminder.
Response
Returns signature request details and per-email reminder results.
Contains information about a signature request.
Hide child attributes
Hide child attributes
The unique identifier for the signature request.
The title of the signature request.
The time the signature request was created.
The time the signature request will expire.
The url to view the signature request in the browser.
The status of the signature request.
NEED_TO_SIGN, WAITING_FOR_OTHERS, APPROVED, REJECTED, WAITING_FOR_PROCESSING, FAILED, CANCELLED Recipient signing flow.
SAME_TIME, ORDER The signers of the signature request.
Hide child attributes
Hide child attributes
Email address of the signer.
Name of the signer.
The signing order of signer for the signature request with signing_type is ORDER. Required if signing_type is ORDER.
Only signers in 1st Signers group will receive email/notification, signers in subsequent groups will receive email/notification when all signers in previous group has signed.
Group starts incrementing at 1.
The default value for group always is 1 if signing_type is SAME_TIME.
Whether the signer has approved the signature request.
The status of the Signer.
NEED_TO_SIGN, APPROVED, WAITING_FOR_OTHERS, REJECTED, FAILED, WAITING_FOR_PROCESSING The time the signature request was last updated.
The reason for the status FAILED or REJECTED of the signature request.
List of reminder email results for requested signer emails.
Hide child attributes
Hide child attributes
The signer email that the reminder request targets.
The signer status at the time of sending the reminder. One of: NEED_TO_SIGN, APPROVED, REJECTED, WAITING_FOR_OTHERS
NEED_TO_SIGN, APPROVED, REJECTED, WAITING_FOR_OTHERS Result of reminder email delivery attempt.
SENT– Sent an email successfullyEXCEED_DAILY_LIMIT– Email not sent due to daily limit (10 emails/signer/day)BOUNCE– Email not sent because the signer already signed or is not in turn to sign
SENT, EXCEED_DAILY_LIMIT, BOUNCE